gstreamermm: Gst::DiscovererInfo Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gst::DiscovererInfo Class Reference

DiscovererInfo - Class containing the information of a URI analyzed by Gst::Discoverer. More...

Inheritance diagram for Gst::DiscovererInfo:
[legend]
Collaboration diagram for Gst::DiscovererInfo:
[legend]

List of all members.

## Public Member Functions
virtual | ~DiscovererInfo ()
GstDiscovererInfo* | gobj ()
| Provides access to the underlying C GstMiniObject.
const GstDiscovererInfo* | gobj () const
| Provides access to the underlying C GstMiniObject.
GstDiscovererInfo* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
ClockTime | get_duration () const
Structure | get_misc () const
DiscovererResult | get_result () const
Glib::RefPtr < DiscovererStreamInfo > | get_stream_info ()
Glib::RefPtr< const DiscovererStreamInfo > | get_stream_info () const
std::vector< Glib::RefPtr < DiscovererStreamInfo > > | get_stream_list ()
std::vector< Glib::RefPtr < const DiscovererStreamInfo > > | get_stream_list () const
TagList | get_tags () const
Glib::ustring | get_uri () const
bool | get_seekable () const
std::vector< Glib::RefPtr < DiscovererStreamInfo > > | get_audio_streams ()
| Finds all the Gst::DiscovererAudioInfo contained in info.
std::vector< Glib::RefPtr < const DiscovererStreamInfo > > | get_audio_streams () const
| Finds all the Gst::DiscovererAudioInfo contained in info.
std::vector< Glib::RefPtr < DiscovererStreamInfo > > | get_container_streams ()
| Finds all the Gst::DiscovererContainerInfo contained in info.
std::vector< Glib::RefPtr < const DiscovererStreamInfo > > | get_container_streams () const
| Finds all the Gst::DiscovererContainerInfo contained in info.
std::vector< Glib::RefPtr < DiscovererStreamInfo > > | get_streams (GType streamtype)
| Finds the Gst::DiscovererStreamInfo contained in info that match the given streamtype.
std::vector< Glib::RefPtr < const DiscovererStreamInfo > > | get_streams (GType streamtype) const
| Finds the Gst::DiscovererStreamInfo contained in info that match the given streamtype.
std::vector< Glib::RefPtr < DiscovererStreamInfo > > | get_video_streams ()
| Finds all the Gst::DiscovererVideoInfo contained in info.
std::vector< Glib::RefPtr < const DiscovererStreamInfo > > | get_video_streams () const
| Finds all the Gst::DiscovererVideoInfo contained in info.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::DiscovererInfo > | wrap (GstDiscovererInfo* object, bool take_copy=false)

## Detailed Description

DiscovererInfo - Class containing the information of a URI analyzed by Gst::Discoverer.

## Constructor & Destructor Documentation

virtual Gst::DiscovererInfo::~DiscovererInfo | ( |  | ) | `[virtual]`

## Member Function Documentation

std::vector< Glib::RefPtr<DiscovererStreamInfo> > Gst::DiscovererInfo::get_audio_streams | ( |  | ) |

Finds all the Gst::DiscovererAudioInfo contained in info.

Returns:
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

std::vector< Glib::RefPtr<const DiscovererStreamInfo> > Gst::DiscovererInfo::get_audio_streams | ( |  | ) | const

Finds all the Gst::DiscovererAudioInfo contained in info.

Returns:
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

std::vector< Glib::RefPtr<DiscovererStreamInfo> > Gst::DiscovererInfo::get_container_streams | ( |  | ) |

Finds all the Gst::DiscovererContainerInfo contained in info.

Returns:
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

std::vector< Glib::RefPtr<const DiscovererStreamInfo> > Gst::DiscovererInfo::get_container_streams | ( |  | ) | const

Finds all the Gst::DiscovererContainerInfo contained in info.

Returns:
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

ClockTime Gst::DiscovererInfo::get_duration | ( |  | ) | const

Returns:
  The duration of the URI in Gst::ClockTime (nanoseconds).

Structure Gst::DiscovererInfo::get_misc | ( |  | ) | const

Returns:
  Miscellaneous information stored as a Gst::Structure (for example: information about missing plugins). If you wish to use the Gst::Structure after the life-time of info, you will need to copy it.

DiscovererResult Gst::DiscovererInfo::get_result | ( |  | ) | const

Returns:
  The result of the discovery as a Gst::DiscovererResult.

bool Gst::DiscovererInfo::get_seekable | ( |  | ) | const

Returns:
  The wheter the URI is seekable.

Glib::RefPtr<const DiscovererStreamInfo> Gst::DiscovererInfo::get_stream_info | ( |  | ) | const

Returns:
  The structure (or topology) of the URI as a Gst::DiscovererStreamInfo. This structure can be traversed to see the original hierarchy. Unref with gst_discoverer_stream_info_unref() after usage.

Glib::RefPtr<DiscovererStreamInfo> Gst::DiscovererInfo::get_stream_info | ( |  | ) |

Returns:
  The structure (or topology) of the URI as a Gst::DiscovererStreamInfo. This structure can be traversed to see the original hierarchy. Unref with gst_discoverer_stream_info_unref() after usage.

std::vector< Glib::RefPtr<DiscovererStreamInfo> > Gst::DiscovererInfo::get_stream_list | ( |  | ) |

Returns:
  The list of all streams contained in the #info. Free after usage with stream_info_list_free().

std::vector< Glib::RefPtr<const DiscovererStreamInfo> > Gst::DiscovererInfo::get_stream_list | ( |  | ) | const

Returns:
  The list of all streams contained in the #info. Free after usage with stream_info_list_free().

std::vector< Glib::RefPtr<const DiscovererStreamInfo> > Gst::DiscovererInfo::get_streams | ( | GType | streamtype | ) | const

Finds the Gst::DiscovererStreamInfo contained in info that match the given streamtype.

Parameters:

  streamtype | A Type derived from Gst::DiscovererStreamInfo.

Returns:
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

std::vector< Glib::RefPtr<DiscovererStreamInfo> > Gst::DiscovererInfo::get_streams | ( | GType | streamtype | ) |

Finds the Gst::DiscovererStreamInfo contained in info that match the given streamtype.

Parameters:

  streamtype | A Type derived from Gst::DiscovererStreamInfo.

Returns:
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

TagList Gst::DiscovererInfo::get_tags | ( |  | ) | const

Returns:
  All tags contained in the U::RI. If you wish to use the tags after the life-time of info, you will need to copy them.

Glib::ustring Gst::DiscovererInfo::get_uri | ( |  | ) | const

Returns:
  The URI to which this information corresponds to. Copy it if you wish to use it after the life-time of info.

std::vector< Glib::RefPtr<const DiscovererStreamInfo> > Gst::DiscovererInfo::get_video_streams | ( |  | ) | const

Finds all the Gst::DiscovererVideoInfo contained in info.

Returns:
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

std::vector< Glib::RefPtr<DiscovererStreamInfo> > Gst::DiscovererInfo::get_video_streams | ( |  | ) |

Finds all the Gst::DiscovererVideoInfo contained in info.

Returns:
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

GstDiscovererInfo* Gst::DiscovererInfo::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GstMiniObject.

Reimplemented from Gst::MiniObject.

const GstDiscovererInfo* Gst::DiscovererInfo::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GstMiniObject.

Reimplemented from Gst::MiniObject.

GstDiscovererInfo* Gst::DiscovererInfo::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::MiniObject.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::DiscovererInfo > wrap | ( | GstDiscovererInfo * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

Parameters:

  object | The C instance
  take_copy | false if the result should take ownership of the C instance. true if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/discovererinfo.h